PUT /projects/{project_name}/tables/{table_id}
curl --request PUT \
--url https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document": {
"filename": "<string>",
"file": "<string>"
}
}
'import requests
url = "https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}"
payload = { "document": {
"filename": "<string>",
"file": "<string>"
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({document: {filename: '<string>', file: '<string>'}})
};
fetch('https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Storage Tables
Upload CSV to Storage Table
Overwrite or append csv data to a storage table.
PUT
/
projects
/
{project_name}
/
tables
/
{table_id}
PUT /projects/{project_name}/tables/{table_id}
Authorizations
Path Parameters
The name of the project
The id of the table
Body
application/json
Response
Successfully updated table
Was this page helpful?
⌘I
